#local d = 0.0639;
#declare ortungsband1 =
    union {
	sphere {
	    <0, 0, 0>, 10
	    translate <900, 0, 0>
	    rotate <0, 0, 0 * d>
	}
	sphere {
	    <0, 0, 0>, 10
	    translate <900, 0, 0>
	    rotate <0, 0, 140 * d>
	}
	union {
	    sphere {
		<0, 0, 0>, 7
		translate <900, -15, -3>
	    }
	    sphere {
		<0, 0, 0>, 7
		translate <900, +15, -3>
	    }
	    cylinder {
		<0, -15, 0>, <0, 15, 0>, 7
		translate <900, 0, -3>
	    }
	    rotate <0, 0, 105 * d>
	}
	cylinder {
	    <901, -28, 7>, <901, 28, 7>, 1
	    rotate <0, 0, 112 * d>
	}
	sphere {
	    <0, 0, 0>, 4
	    translate <901, 0, 6>
	    rotate <0, 0, 85 * d>
	}
	difference {
	    sphere {
		<0, 0, 0>, 4
	    }
	    sphere {
		<3, 0, 0>, 5
	    }
	    rotate <40, -60, 30>
	    translate <904, 0, +5>
	    rotate <0, 0, 75 * d>
	}

	difference {
	    sphere {
		<0, 0, 0>, 4
	    }
	    sphere {
		<3, 0, 0>, 5
	    }
	    rotate <+10, -40, 20>
	    translate <905, 0, +5>
	    rotate <0, 0, 65 * d>
	}
	difference {
	    sphere {
		<0, 0, 0>, 4
	    }
	    sphere {
		<3, 0, 0>, 5
	    }
	    rotate <-20, -00, -0>
	    translate <905, 0, +5>
	    rotate <0, 0, 55 * d>
	}
	difference {
	    sphere {
		<0, 0, 0>, 4
	    }
	    sphere {
		<3, 0, 0>, 5
	    }
	    rotate <-50, -00, -40>
	    translate <905, 0, +5>
	    rotate <0, 0, 45 * d>
	}
	#local i = 0;
	#while (i < 10) 
	    #local j = 0;
	    #while (j < 9) 
		box {
		    <901, i*3, -j>
		    <901.5, i*3+2, -j-2>
		    rotate <0, 0, (i + 40) * d>
		}
		#local j = j + 3;
	    #end
	    #local i = i + 1;
	#end
	union {
	    sphere {
		<0, 0, -5>, 4
		translate <900, 0, 0>
	    }
	    sphere {
		<0, 0, 5>, 4
		translate <900, 0, 0>
	    }
	    cylinder {
		<0, 0, -5>, <0, 0, 5>, 4
		translate <900, 0, 0>
	    }
	    rotate <0, 0, 30 * d>
	}
	    
	union {
	    sphere {
		<0, 0, -5>, 4
		translate <900, 0, 0>
	    }
	    sphere {
		<0, 0, 5>, 4
		translate <900, 0, 0>
	    }
	    cylinder {
		<0, 0, -5>, <0, 0, 5>, 4
		translate <900, 0, 0>
	    }
	    rotate <0, 0, 20 * d>
	}
	    

	texture {
	    pigment { color rgb <0.05, 0.05, 0.1> }
	    finish { F_MetalA }
	}
    }

#declare ortungsband = 
    union {
	intersection {
	    cylinder {
		<0, 0, -10>, <0, 0, 10> 901
	    }
	    cylinder {
		<0, 0, 0>, <910, 0, 0>, 150
	    }
	    texture {pigment {color Yellow} }
	}
	object {
	    ortungsband1
	    rotate <0, 0, 0>
	}
	object {
	    ortungsband1
	    rotate <180, 0, 0>
	}
    }

