#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
//background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <2000, 2000, -2000>
    color <1.0, 0.5, 0.5>
}

light_source {
    <-2000, 2000, -2000>
    color <0.5, 0.5, 1.0>
}

//#declare Camera_Ortho_z = 1;
//#declare Camera_Ortho_y = 1;
#declare Camera_Ortho_x = 1;
//#declare Camera_Triebwerk = 1;

#ifdef (Camera_Triebwerk)
camera {
        location <-800, 400, 300>
        look_at <30,  100, 0>
	angle 20
}
#end

#ifdef (Camera_Ortho_z)
camera {
        location <80, 50, -150>
        look_at <80, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Ortho_y)
camera {
        location <40, 200, 0>
        look_at <40, 0, 0>
	orthographic
}
#end

#ifdef (Camera_Ortho_x)
camera {
        location <-200, 50, 0>
        look_at <0, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Totale)
camera {
        location <2650, 1800, 0>
        look_at <0, 800, 0>
}
#end

#include "metagrav.pov"

object {
    metagrav_unten
    translate <0, 0, 0>
}

cylinder {
    <740, 599, 1>, <740, 599, -1>, 900
    pigment {
	checker color White*0.7, color White*0.5
	scale 10
    }
}

