#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
//background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <2000, 2000, -2000>
    color <1.0, 0.5, 0.5>
}

light_source {
    <-2000, 2000, -2000>
    color <0.5, 0.5, 1.0>
}

//#declare Camera_Ortho_z = 1;
//#declare Camera_Ortho_y = 1;
//#declare Camera_Ortho_x = 1;
#declare Camera_P = 1;

#ifdef (Camera_P)
camera {
        location <120, 80, 60>
        look_at <20,  0, 0>
	angle 30
}
#end

#ifdef (Camera_Ortho_z)
camera {
        location <80, 50, -150>
        look_at <80, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Ortho_y)
camera {
        location <40, 200, 0>
        look_at <40, 0, 0>
	orthographic
}
#end

#ifdef (Camera_Ortho_x)
camera {
        location <50, 0, 0>
        look_at <0, 0, 0>
	orthographic
}
#end

#ifdef (Camera_Totale)
camera {
        location <2650, 1800, 0>
        look_at <0, 800, 0>
}
#end

#include "tfk_2000.pov"

object {
    tfk_2000
    translate <0, 0, 0>
}


