#include "ynkelonium_texture.pov"

#declare finne1 = 
    bicubic_patch {
	type 1
	flatness 0.01
	u_steps 4
	v_steps 4
	<60, 20, 0>, < 60, 20, 0>, <60, 20, 0>, <60, 20, 0>,
	<50, 20, 0>, < 50, 10, 1>, <50, 15, 1>, <50, 20, 0>,
	<30, 10, 0>, < 25, 35, 2>, <22, 47, 2>, <20, 60, 0>,
	<20,  0, 0>, <-20, 40, 2>, <-30, 60, 2>, <-50, 80, 0>

	//texture { pigment { color Blue }}
    }
#declare finne = 
    union {
	object {
	    finne1
	    scale <1, 1, 1>
	}
	object {
	    finne1
	    scale <1, 1, -1>
	}
    }

#declare aussenstromgravojet = 
    union {
	bicubic_patch {
	    type 1
	    flatness 0.01
	    u_steps 4
	    v_steps 4
	    <40,   0,   0>, <40,   0,   0>, <40,   0,   0>, <40,   0,   0>,
	    <20,  30, -20>, <40,  30, -20>, <40,  30, +20>, <20,  30, +20>,
	    < 0,  80, -20>, <20,  80, -20>, <20,  80, +20>, < 0,  80, +20>,
	    < 0, 100,   0>, < 0, 100,   0>, < 0, 100,   0>, < 0, 100,   0>

	    //texture { pigment { color Green }}
	}
	bicubic_patch {
	    type 1
	    flatness 0.01
	    u_steps 4
	    v_steps 4
	    <40,   0,   0>, < 40,   0,   0>, < 40,   0,   0>, <40,   0,   0>,
	    <20,  30, -20>, <  0,  30, -20>, <  0,  30, +20>, <20,  30, +20>,
	    < 0,  80, -20>, <-20,  80, -20>, <-20,  80, +20>, < 0,  80, +20>,
	    < 0, 100,   0>, <  0, 100,   0>, <  0, 100,   0>, < 0, 100,   0>

	    //texture { pigment { color Yellow }}
	}
	object {finne}
	intersection {
	    sphere {
		<0, 0, 0> 900
		translate <-730, -500, 0>
	    }
	    box {
		<-70, 0, -30>
		< 20, 100,  30>
	    }
	}
	texture { Ynkelonium_Texture }
    }
    
// vim:tw=80
