#include "texturen.aik.inc"
camera{
location z*-30
look_at 0}
light_source{<180,750,-900> color White}
light_source{<-600,-300,-300> color Gold}
light_source{<-500,400,-400> color Gray60}
light_source{<200,140,1000> color Red}
light_source{<300,-600,-300> color Gray50}
background{Gray30}
#declare buchtring=union{
torus{2,.3 scale <1,1.5,1> rotate z*90}
torus{2,.4 scale <1,.3,1> rotate z*90 
normal{bump_map {gif "bump.map13.gif"  bump_size .3}}}
}
#declare buchtriegel=union{
object{buchtring scale <1,.65,1> translate <0,1,-15>}
object{buchtring scale <1,.65,1> translate <0,-1,-15>}
}
#declare buchtkette=union{
object{buchtriegel rotate y*0}
object{buchtriegel rotate y*12}
object{buchtriegel rotate y*24}
object{buchtriegel rotate y*36}
object{buchtriegel rotate y*48}
object{buchtriegel rotate y*60}
object{buchtriegel rotate y*72}
object{buchtriegel rotate y*84}
object{buchtriegel rotate y*96}
object{buchtriegel rotate y*108}
object{buchtriegel rotate y*120}
object{buchtriegel rotate y*132}
object{buchtriegel rotate y*144}
object{buchtriegel rotate y*156}
object{buchtriegel rotate y*168}
}
#declare hangarring=union{
difference{
cylinder{<0,1,0>,<0,-1,0>,18}
cylinder{<0,2,0>,<0,-2,0>,13.5}
}
torus{14.8,2 scale <1,.7,1> translate y*1}
torus{14.8,2 scale <1,.7,1> translate y*-1}
object{buchtkette}
object{buchtkette rotate y*180}
}
#declare hangarboden=difference{
union{
box{<.6,.6,2>,<-.6,.63,.2>}
box{<.6,-.6,2>,<-.6,-.63,.2>}
box{<.6,.2,2>,<-.6,.23,.2>}
box{<.6,-.2,2>,<-.6,-.23,.2>}
box{<.6,0,2>,<-.6,.02,.2>}
}
sphere{0,.97}
}

#declare beiboot=union{
sphere{0,.85}
intersection{
sphere{0,.87}
union{
cylinder{<0,.3,0>,<0,.36,0>,1}
cylinder{<0,-.3,0>,<0,-.36,0>,1}
}
object{hangarboden}
}

intersection{
sphere{0,.89 texture{terkonit}}
cylinder{<0,.15,0>,<0,-.15,0>,1}
}
}
#declare dockwand=union{
box{<-.08,2.5,1>,<.08,-2.5,-.5>}
cylinder{<0,2.5,-.5>,<0,-2.5,-.5>,.06}
torus{.06,.002 translate y*0}
torus{.06,.002 translate y*.7}
torus{.06,.002 translate y*-.7}
torus{.06,.002 translate y*1.45}
torus{.06,.002 translate y*-1.45}
torus{.06,.002 translate y*1.97}
torus{.06,.002 translate y*-1.97}
torus{.06,.002 translate y*2.35}
torus{.06,.002 translate y*-2.35}
}
#declare prallzelle=difference{
union{
cylinder{<0,1.2,0>,<0,-1.2,0>,1 texture{prallschirm1cyl} hollow }
sphere{<0,1.2,0>,1}
sphere{<0,-1.2,0>,1}
}
union{
cylinder{<0,1.2,0>,<0,-1.2,0>,.7 texture{prallschirm1cyl} hollow}
sphere{<0,1.2,0>,.7}
sphere{<0,-1.2,0>,.7}
}
box{<3,3,.4>,<-3,-3,3>}
}
#declare beizelle=union{
object{beiboot translate <0,1,-13.9>}
object{beiboot translate <0,-1,-13.9>}
object{dockwand translate <0,0,-13.9> rotate y*-6}
object{prallzelle texture{prallschirm1} hollow scale <1.6,1.5,.8> 
translate z*-14}
}
#declare beibootkette=union{
object{beizelle rotate y*0}
object{beizelle rotate y*12}
object{beizelle rotate y*-12}
object{beizelle rotate y*24}
object{beizelle rotate y*-24}
object{beizelle rotate y*36}
object{beizelle rotate y*-36}
object{beizelle rotate y*48}
object{beizelle rotate y*-48}
object{beizelle rotate y*180}
object{beizelle rotate y*60}
object{beizelle rotate y*-60}
object{beizelle rotate y*72}
object{beizelle rotate y*-72}
object{beizelle rotate y*86}
object{beizelle rotate y*-86}
object{beizelle rotate y*98}
object{beizelle rotate y*-98}
}
#declare MHV_1=union{
cylinder{<0,.1,0>,<0,-.1,0>,.25}
torus{.25,.02 translate y*.09}
torus{.25,.02 translate y*-.09}
torus{.25,.02 scale <1,3,1> texture{pc_blitzer}}
cone{<0,.1,0>,.25,<0,.15,0>,.13}
cone{<0,-.1,0>,.25,<0,-.15,0>,.13}
cylinder{<0,0,-.05>,<0,0,.2>,.32 scale <1,.75,1>}
torus{.3,.02 scale <1,1.5,.75> rotate x*90 translate z*-.05}
} 
#declare TKF1=union{
cylinder{<0,0,.1>,<0,0,-.1>,.3}
cone{<0,0,-.1>,.3,<0,0,-.15>,.2}
intersection{
cone{<0,0,-.1>,.3,<0,0,-.17>,.21 texture{technik}}
union{
box{<-.03,.5,1>,<.03,-.5,-1> rotate z*0}
box{<-.03,.5,1>,<.03,-.5,-1> rotate z*90}
}
}
torus{.15,.02 texture{technik} rotate x*90 translate z*-.15}
}
#declare tk_waffe=union{
object{TKF1 translate z*-15 rotate x*51}
object{MHV_1 scale <1,1,.5> translate z*-15 rotate <48.5,2,0>}
object{MHV_1 scale <1,1,.5> translate z*-15 rotate <48.5,-2,0>}
}
#declare waffenrand1=union{
torus{.6,.05 rotate x*90}
intersection{
torus{.6,.07 texture{technik}}
box{<-.4,1,1>,<.4,-1,-1>}
}
}
#declare tk_waffe2=union{
object{TKF1 translate z*-15 rotate x*-21}
object{MHV_1 scale <1,1,.5> translate z*-15 rotate <-19.5,2,0>}
object{MHV_1 scale <1,1,.5> translate z*-15 rotate <-19.5,-2,0>}
}
#declare tk_waffe3=union{
object{MHV_1 translate z*-14.4 rotate x*12}
object{waffenrand1 scale <1,.8,1> translate z*-14.427 rotate x*12}
}

#declare waffengurt1=union{
object{tk_waffe texture{terkonit2old} rotate y*0}
object{tk_waffe texture{terkonit2old} rotate y*40}
object{tk_waffe texture{terkonit2old} rotate y*80}
object{tk_waffe texture{terkonit2old} rotate y*120}
object{tk_waffe texture{terkonit2old} rotate y*160}
object{tk_waffe texture{terkonit2old} rotate y*200}
object{tk_waffe texture{terkonit2old} rotate y*240} 
object{tk_waffe texture{terkonit2old} rotate y*280}
object{tk_waffe texture{terkonit2old} rotate y*320}
}
#declare waffengurt2=union{
object{tk_waffe2 texture{terkonit2old} rotate y*0}
object{tk_waffe2 texture{terkonit2old} rotate y*30}
object{tk_waffe2 texture{terkonit2old} rotate y*60}
object{tk_waffe2 texture{terkonit2old} rotate y*90}
object{tk_waffe2 texture{terkonit2old} rotate y*120}
object{tk_waffe2 texture{terkonit2old} rotate y*150}
object{tk_waffe2 texture{terkonit2old} rotate y*180} 
object{tk_waffe2 texture{terkonit2old} rotate y*210}
object{tk_waffe2 texture{terkonit2old} rotate y*240}
object{tk_waffe2 texture{terkonit2old} rotate y*270}
object{tk_waffe2 texture{terkonit2old} rotate y*300}
object{tk_waffe2 texture{terkonit2old} rotate y*330}
}
#declare waffengurt3=union{
object{tk_waffe3 texture{terkonit2old} rotate y*0}
object{tk_waffe3 texture{terkonit2old} rotate y*20}
object{tk_waffe3 texture{terkonit2old} rotate y*40}
object{tk_waffe3 texture{terkonit2old} rotate y*60}
object{tk_waffe3 texture{terkonit2old} rotate y*80}
object{tk_waffe3 texture{terkonit2old} rotate y*100}
object{tk_waffe3 texture{terkonit2old} rotate y*120} 
object{tk_waffe3 texture{terkonit2old} rotate y*140}
object{tk_waffe3 texture{terkonit2old} rotate y*160}
} 
#declare dockband=union{
cylinder{<0,1.2,0>,<0,-1.2,0>,13.55}
intersection{
cylinder{<0,.8,0>,<0,-.8,0>,13.65 texture{terkonit2}}
union{
box{<-.3,1,20>,<.3,-1,-20> rotate y*0}
box{<-.3,1,20>,<.3,-1,-20> rotate y*12}
box{<-.3,1,20>,<.3,-1,-20> rotate y*24}
box{<-.3,1,20>,<.3,-1,-20> rotate y*36}
box{<-.3,1,20>,<.3,-1,-20> rotate y*48}
box{<-.3,1,20>,<.3,-1,-20> rotate y*60}
box{<-.3,1,20>,<.3,-1,-20> rotate y*72}
box{<-.3,1,20>,<.3,-1,-20> rotate y*84}
box{<-.3,1,20>,<.3,-1,-20> rotate y*96}
box{<-.3,1,20>,<.3,-1,-20> rotate y*108}
box{<-.3,1,20>,<.3,-1,-20> rotate y*120}
box{<-.3,1,20>,<.3,-1,-20> rotate y*132}
box{<-.3,1,20>,<.3,-1,-20> rotate y*144}
box{<-.3,1,20>,<.3,-1,-20> rotate y*156}
box{<-.3,1,20>,<.3,-1,-20> rotate y*168}
}
}
torus{13.6,.15 scale <1,.5,1> texture{technik} translate y*1.15}
torus{13.6,.15 scale <1,.5,1> texture{technik} translate y*-1.15}
}
#declare ladekopf=union{
sphere{0,1}
torus{1,.2 scale <1,.5,1> rotate z*0}
torus{1,.2 scale <1,.5,1> rotate z*30}
torus{1,.2 scale <1,.5,1> rotate z*60}
torus{1,.2 scale <1,.5,1> rotate z*90}
torus{1,.2 scale <1,.5,1> rotate z*120}
torus{1,.2 scale <1,.5,1> rotate z*150}
intersection{
sphere{0,1.2}
union{
cylinder{<0,.5,0>,<0,.7,0>,2}
cylinder{<0,.8,0>,<0,.85,0>,2}
cylinder{<0,.1,0>,<0,-.1,0>,3}
cylinder{<0,-.5,0>,<0,-.7,0>,2}
cylinder{<0,-.8,0>,<0,-.85,0>,2}
}
}
}
#declare hypertropbucht=union{
object{ladekopf scale <1,1,.5>}
torus{1.4,.05 texture{terk5} scale <1,2,1> rotate x*90 translate z*.15}
}
#declare hypertropschirm=union{
torus{1.2,.1 scale <1,1.5,1> rotate x*90}
difference{
sphere{0,1.2 texture{prallschirm1} hollow}
sphere{0,1.1 texture{prallschirm1} hollow}
box{<-2,2,0>,<2,-2,2>}
}
}
#declare hypertropkopf=union{
object{hypertropschirm scale <1,1,.3>}
cylinder{<0,0,.4>,<0,0,.1>,.6}
cone{<0,0,.1>,.6,<0,0,0>,.4}
torus{.35,.05 rotate x*90}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*0}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*30}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*60}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*90}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*120}
cylinder{<0,.37,0>,<0,-.37,0>,.02 rotate z*150}
cone{<0,0,.5>,.8,<0,0,.25>,.4 scale <1,.2,1> rotate z*20}
cone{<0,0,.5>,.8,<0,0,.25>,.4 scale <1,.2,1> rotate z*-20}
}
#declare schachtring=union{
intersection{
difference{
sphere{0,15.03}
sphere{0,14.85}
}
union{
difference{
cylinder{<0,0,-12>,<0,0,-16>,.4}
cylinder{<0,0,-12>,<0,0,-16>,.375}
}
difference{
cylinder{<0,0,-12>,<0,0,-16>,.34}
cylinder{<0,0,-12>,<0,0,-16>,.335}
}
}
}
intersection{
difference{
sphere{0,15.035}
sphere{0,14.98}
}
cylinder{<0,0,-12>,<0,0,-16>,.335}
union{
box{<-.01,1,-10>,<.01,-1,-16> rotate z*0}
box{<-.01,1,-10>,<.01,-1,-16> rotate z*90}
box{<-.01,1,-10>,<.01,-1,-16> rotate z*-45}
box{<-.01,1,-10>,<.01,-1,-16> rotate z*45}
}
}
}
#declare schachtloch1=union{
object{schachtring rotate <-15,2,0>}
object{schachtring rotate <-15,-2,0>}
}
#declare schachtreihe1=union{
object{schachtloch1 rotate y*0}
object{schachtloch1 rotate y*30}
object{schachtloch1 rotate y*60}
object{schachtloch1 rotate y*90}
object{schachtloch1 rotate y*120}
object{schachtloch1 rotate y*150}
object{schachtloch1 rotate y*180}
object{schachtloch1 rotate y*-30}
object{schachtloch1 rotate y*-60}
object{schachtloch1 rotate y*-90}
object{schachtloch1 rotate y*-120}
object{schachtloch1 rotate y*-150}
}
#declare zelle1=difference{
sphere{0,15}
object{hangarring texture{jet2}}
object{hypertropbucht texture{reflect1} translate z*-15 rotate <25.9,-30,0>}
object{hypertropbucht texture{reflect1} translate z*-15 rotate <25.9,150,0>}
//object{schachtreihe1 texture{reflect1}}
}
#declare Hauptzelle=union{
object{zelle1}
object{schachtreihe1 texture{jet2}}
object{dockband scale <1,.6,1>}
object{hypertropkopf translate z*-14.8 rotate <25.9,-30,0>}
object{hypertropkopf translate z*-14.8 rotate <25.9,150,0>} 
}
#declare strebe1=union{
box{<-.15,0,-.2>,<.15,.7,.2>}
cylinder{<0,0,0>,<0,.7,0>,.15 translate z*-.2}
cylinder{<0,.3,0>,<0,.5,0>,.18 translate z*-.2}
torus{.15,.03 translate <0,.3,-.2>}
torus{.15,.03 translate <0,.5,-.2>}
cone{<0,.5,0>,.12,<0,.8,0>,.3 scale <1,1,.3> translate z*-.2}
}
#declare schubloch=union{
difference{
cylinder{<0,0,0>,<0,-.15,0>,.5}
cone{<0,.01,0>,.4,<0,-.151,0>,.48}
}
torus{.5,.03}
intersection{
torus{.5,.035 texture{technik}}
union{
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*0}
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*30}
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*60}
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*90}
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*120}
box{<-.02,.2,-1>,<.02,-.2,1> rotate y*150}
}
}
}
#declare impulsschild=union{
intersection{
sphere{0,15.5 scale <1,.9,1>}
union{
cylinder{<0,-12,0>,<0,-16,0>,.8 scale <.6,1,1>}
cylinder{<0,-12,0>,<0,-16,0>,.4 scale <1.6,.8,1>}
}
}
intersection{
sphere{0,15.55 scale <1,.9,1>}
union{
torus{15.4,.2 scale <1,.4,1> rotate x*0}
torus{15.4,.2 scale <1,.4,1> rotate x*.3}
torus{15.4,.2 scale <1,.4,1> rotate x*-.3}
torus{15.4,.2 scale <1,.4,1> rotate x*.6}
torus{15.4,.2 scale <1,.4,1> rotate x*-.6}
}
union{
cylinder{<0,-12,0>,<0,-16,0>,.7 scale <.6,1,1>}
cylinder{<0,-12,0>,<0,-16,0>,.3 scale <1.6,.8,1>}
}
}
}
#declare impulstw=union{
cylinder{<.5,.2,0>,<.5,-.2,0>,.3}
cylinder{<-.5,.2,0>,<-.5,-.2,0>,.3}
box{<-.5,.2,-.3>,<.5,-.2,.3>}
difference{
union{
torus{.28,.02 translate <.5,.2,0>}
torus{.28,.02 translate <-.5,.2,0>}
}
box{<-.5,.3,-.3>,<.5,-.3,.3>}
}
cylinder{<-.5,.2,-.28>,<.5,.2,-.28>,.02}
object{strebe1 scale <.5,1,1> rotate x*25 translate <-.5,.12,-.1>}
object{strebe1 scale <.5,1,1> rotate x*25 translate <.5,.12,-.1>}
object{schubloch scale <1,1,.4> translate <0,-.2,-.15>}
object{impulsschild rotate x*-.9 translate z*15.25}
}
#declare konringe=union{
torus{.15,.03 scale <1,.5,1> translate y*0}
torus{.15,.03 scale <1,.5,1> translate y*.1}
torus{.15,.03 scale <1,.5,1> translate y*-.1}
torus{.15,.03 scale <1,.5,1> translate y*.2}
torus{.15,.03 scale <1,.5,1> translate y*-.2}
torus{.15,.03 scale <1,.5,1> translate y*.3}
torus{.15,.03 scale <1,.5,1> translate y*-.3}
torus{.15,.03 scale <1,.5,1> translate y*.4}
torus{.15,.03 scale <1,.5,1> translate y*-.4}
torus{.15,.03 scale <1,.5,1> translate y*.5}
}
#declare konsockel=union{
box{<-.45,.55,-.1>,<.45,-.85,.2>}
box{<-.55,.25,-.05>,<.55,-.35,.2>}
cylinder{<-.4,-.8,-.1>,<-.4,.5,-.1>,.05}
cylinder{<.4,-.8,-.1>,<.4,.5,-.1>,.05}
cylinder{<-.4,-.8,-.1>,<.4,-.8,-.1>,.05}
cylinder{<.4,.5,-.1>,<-.4,.5,-.1>,.05}
sphere{0,.05 translate <-.4,.5,-.1>}
sphere{0,.05 translate <.4,.5,-.1>}
sphere{0,.05 translate <-.4,-.8,-.1>}
sphere{0,.05 translate <-.4,-.8,-.1>}
torus{.2,.03 scale <1,.7,.5> rotate <0,90,90> translate <-.3,-.5,.2>}
torus{.2,.03 scale <1,.7,.5> rotate <0,90,90> translate <.3,-.5,.2>}
}
#declare hyperkontw=union{
box{<-.4,.5,.3>,<.4,-.8,-.4>}
cylinder{<.2,.5,-.37>,<.2,-.7,-.34>,.15}
cylinder{<-.2,.5,-.37>,<-.2,-.7,-.34>,.15}
sphere{0,.3 scale <1,1.4,1> translate <0,-.4,-.3>}
object{konringe translate x*-.2}
object{konringe translate x*.2}
}
#declare gravstab=union{
cylinder{<0,.6,0>,<0,-.6,0>,.3}
torus{.3,.05 translate y*0}
torus{.3,.05 translate y*.2}
torus{.3,.05 translate y*-.2}
torus{.3,.05 translate y*.4}
torus{.3,.05 translate y*-.4}
torus{.3,.05 translate y*.6}
torus{.3,.05 translate y*-.6}
box{<-.07,.5,0>,<.07,-.5,-.31>}
}
#declare antigravtw=union{
object{gravstab scale <1,.3,1> texture{algit} rotate x*-4 translate x*-.4}
object{gravstab scale <1,.3,1> texture{algit} rotate x*-4 translate x*.4}
object{gravstab scale <1,.3,1> texture{algit} rotate x*-4 translate x*0}
cylinder{<0,.6,0>,<0,-.6,0>,.3}
cylinder{<-.26,.4,0>,<-.26,-.4,0>,.2}
cylinder{<.26,.4,0>,<.26,-.4,0>,.2}
cylinder{<.35,.6,0>,<.35,-.6,0>,.3}
cylinder{<-.35,.6,0>,<-.35,-.6,0>,.3}
sphere{0,.3 translate <.35,.6,0>}
sphere{0,.3 translate <.35,-.6,0>}
sphere{0,.3 translate <-.35,.6,0>}
sphere{0,.3 translate <-.35,-.6,0>}
sphere{0,.3 translate <0,.6,0>}
sphere{0,.3 translate <0,-.6,0>}
box{<-.35,.4,0>,<.35,.45,-.32>}
box{<-.35,.2,0>,<.35,.25,-.32>}
box{<-.35,-.1,0>,<.35,-.15,-.32>}
torus{.4,.08 scale <1,.5,1> rotate z*90 translate x*-.4}
torus{.4,.08 scale <1,.5,1> rotate z*90 translate x*.4}
torus{.4,.08 scale <1,.5,1> rotate z*90 translate x*0}
}
#declare triebwerk=union{
object{impulstw texture{imp_tw} rotate x*5 translate z*-15.3 rotate <21.4,0,0>}
object{antigravtw texture{ antig_tw} translate z*-15.1 rotate <28.2,-3,0>}
object{hyperkontw texture{hyper_tw} translate z*-15.1 rotate <28.2,3,0>}
}
#declare triebgurt=union{
object{triebwerk rotate y*0}
object{triebwerk rotate y*30}
object{triebwerk rotate y*60}
object{triebwerk rotate y*90}
object{triebwerk rotate y*120}
object{triebwerk rotate y*150}
}
#declare paratronprojektor=union{
difference{
cylinder{<0,8.75,20>,<0,8.75,-20>,.2}
cylinder{<0,8.75,20>,<0,8.75,-20>,.175}
}
cylinder{<0,8.75,20>,<0,8.75,-20>,.04}
}
#declare paratronring1=union{
object{paratronprojektor rotate y*0}
object{paratronprojektor rotate y*2}
object{paratronprojektor rotate y*-2}
object{paratronprojektor rotate y*4}
object{paratronprojektor rotate y*-4}
}
#declare triebring1=union{
object{triebgurt rotate y*15}
object{triebgurt rotate y*195}
intersection{
difference{
sphere{0,15.2}
cylinder{<0,0,-13>,<0,0,-16>,1.5 rotate <25,-30>}
cylinder{<0,0,-13>,<0,0,-16>,1.5 rotate <25,150>}
}
cylinder{<0,9,0>,<0,4,0>,16}
}
intersection{
sphere{0,15.25 texture{arkonstahl scale .2}}
union{
cylinder{<0,9,0>,<0,8.5,0>,16}
cylinder{<0,4,0>,<0,4.5,0>,16}
}
}
intersection{
sphere{0,15.27}
union{
cylinder{<0,8.9,0>,<0,8.6,0>,16}
cylinder{<0,4.1,0>,<0,4.4,0>,16}
}
}
intersection{
sphere{0,15.28 texture{technik}}
union{
object{paratronring1}
object{paratronring1 rotate y*60}
object{paratronring1 rotate y*-60}
}
}
}
#declare maximring=union{
intersection{
sphere{0,15.02 texture{arkonstahl scale .3}}
union{
cylinder{<0,9.8,0>,<0,10,0>,20}
cylinder{<0,10.5,0>,<0,10.7,0>,20}
}
}
intersection{
sphere{0,15.01 texture{terk6}}
cylinder{<0,10,0>,<0,10.5,0>,20}
}
intersection{
sphere{0,15.02 texture{technik scale .3}}
union{
cylinder{<0,10,0>,<0,10.5,0>,20}
box{<-.2,9,-20>,<.2,11,20> rotate y*0}
box{<-.2,9,-20>,<.2,11,20> rotate y*90}
box{<-.2,9,-20>,<.2,11,20> rotate y*45}
box{<-.2,9,-20>,<.2,11,20> rotate y*-45}
box{<-.2,9,-20>,<.2,11,20> rotate y*22.5}
box{<-.2,9,-20>,<.2,11,20> rotate y*-22.5}
box{<-.2,9,-20>,<.2,11,20> rotate y*67.5}
box{<-.2,9,-20>,<.2,11,20> rotate y*-67.5}
}
}
}
#declare Oberer_Ring=union{
object{triebring1 texture{SAC2 scale .65}}
object{maximring}
}
#declare Unterer_Ring=union{
object{waffengurt1}
object{waffengurt2}
object{waffengurt3}
object{waffengurt3 rotate y*180}
}
//#####  Hier wird der Rumpf montiert  ########
#declare Rumpf=union{
object{Hauptzelle}
object{Oberer_Ring}
object{Unterer_Ring}
object{beibootkette}
} 
////////////////////////////////////////////////////

object{Rumpf texture{terkonit2old} rotate <-15,10,0> translate z*8}