#include "ynkelonium_texture.pov"

#declare mvh =
    union {
	difference {
	    cone {
		<0, 0, 0> 20
		<10, 0, 0> 15
	    }
	    cone {
		<0, 0, 0> 2
		<10.01, 0, 0> 5
	    }
	}
	#declare i = 0; 
	#while (i < 6) 
	    union {
		cone {
		    <10, 8, 4> 0
		    <10, 8, 3> 3
		    texture {
			pigment { color rgb <0.75, 0.75, 0.1> }
			finish { F_MetalA }
		    }
		}
		#declare j = -2.5; 
		#while (j <= 2.5) 
		    torus {
			2, 0.5
			rotate <90, 0, 0>
			translate <10, 8, j>
			texture {
			    pigment { color rgb <0.05, 0.05, 0.1> }
			    finish { F_MetalA }
			}
		    }
		    #declare j = j + 1;
		#end
		cone {
		    <10, 8, -4> 0
		    <10, 8, -3> 3
		    texture {
			pigment { color rgb <0.75, 0.75, 0.1> }
			finish { F_MetalA }
		    }
		}
		sphere {
		    <10, 13, 0> 2
		    rotate <30, 0, 0>
		}
		rotate <60*i, 0, 0>
	    }
	    #declare i = i + 1;
	#end
	texture { Ynkelonium_Texture }
    }

