#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}

light_source {
    <2000, 2000, 2000>
    color White
}

light_source {
    <2000,  2000, -2000>
    color rgb <0.8, 0.8, 1>
}

//#declare Camera_Totale = 1;
//#declare Camera_Triebwerk = 1;
#declare Camera_Pol = 1;

#ifdef (Camera_Pol)
camera {
        location <1, -4700, 0>
        look_at <0, 0, 0>
	angle 40
}
#end

#ifdef (Camera_Triebwerk)
camera {
        location <1650, 1700, 0>
        look_at <650, 1500, 0>
}
#end

#ifdef (Camera_Totale)
camera {
        location <4000, 1800, 0>
        look_at <0, 800, 0>
	angle 40

}
#end

#declare Strut_Ext = 0;
#include "entdecker.pov"

object {
    entdecker
    translate <0, 930, 0>
}


