#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"
#include "ynkelonium_texture.pov"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
//background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <2000, 2000, 2000>
    color White
}

// #declare Camera_Ortho = 0;
#declare Camera_Triebwerk = 1;

#ifdef (Camera_Triebwerk)
camera {
        location <165, 270, 100>
        look_at <35, 70, 0>
	angle 30
}
#end

#ifdef (Camera_Ortho)
camera {
        location <35, 50, 200>
        look_at <35, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Totale)
camera {
        location <2650, 1800, 0>
        look_at <0, 800, 0>
}
#end

#include "impulstriebwerk.pov"

object {
    impulstriebwerk
    translate <0, 0, 0>
}

plane {
    <0, 0, 1>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    scale 10
    translate <0, 0, -100>
}

plane {
    <0, 1, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    scale 10
    translate <0, 0, 0>
}

