#include "ynkelonium_texture.pov"

#macro k(i)
    vrotate(<20 + (i) / 60, 20 - (i)/40, 0>, <(i), 0, 0>)
#end

#declare tfk_2000 =
    union {
	    cone {
		<0, 0, 0> 40
		<20, 0, 0> 30
	    }
	#declare j = 0; 
	#while (j < 360) 
	    union {
		#declare i = 0; 
		#while (i < 720) 
		    union {
			sphere {
			    k(i), 1
			    texture {
				pigment { color rgb <0.75, 0.75, 0.1> }
				finish { F_MetalA }
			    }
			}
			cone {
			    k(i), 1
			    k(i+10), 1
			    texture {
				pigment { color rgb <0.75, 0.75, 0.1> }
				finish { F_MetalA }
			    }
			}
			sphere {
			    k(i+10), 1
			    texture {
				pigment { color rgb <0.05, 0.05, 0.1> }
				finish { F_MetalA }
			    }
			}
			cone {
			    k(i+10), 1
			    k(i+20), 1
			    texture {
				pigment { color rgb <0.05, 0.05, 0.1> }
				finish { F_MetalA }
			    }
			}
				
		    }
		    #declare i = i + 20;
		#end
		rotate <j, 0, 0>
	    }
	    #declare j = j + 60;
	#end
	texture { Ynkelonium_Texture }
    }


